<script setup lang="ts">
    import { OrderByChoiceInterface } from '@/shared/sorts/entities/OrderByChoiceInterface'
    import { InterventionOrderBy } from '@/interventionServiceOffer/entities/orderBy/InterventionOrderBy'

    const interventionOrderBy = defineModel<InterventionOrderBy>({
        required: true,
    })

    const orderByChoices: OrderByChoiceInterface[] = [
        {
            label: 'Modifiées récemment',
            value: '-updatedAt',
        },
        {
            label: 'Modifications les plus anciennes',
            value: 'updatedAt',
        },
        { label: "Plus urgent d'abord", value: '-priority,-createdAt' },
        { label: "Moins urgent d'abord", value: 'priority,-createdAt' },
        { label: 'Créations les plus anciennes', value: 'createdAt' },
        { label: 'Créées récemment', value: '-createdAt' },
    ]
</script>
<template>
    <span class="d-flex align-center py-4 pl-2">
        <v-icon size="x-large">mdi-sort</v-icon>
        <h2 class="text-h8 ml-2">Trier par</h2>
    </span>
    <v-select
        v-model="interventionOrderBy.orderByValue"
        data-cy="order-by-select"
        class="px-5 pt-3"
        label="Trier par"
        :items="orderByChoices"
        item-title="label"
        item-value="value"
        variant="outlined"
        density="compact"
        single-line
        placeholder="Trier par"
    ></v-select>
</template>
